/*********************** (i2c_SSD1306.h) *******
 *      OLED library   				*
 *      use for 0.96OLED  ,....           	*
 ************************************************/

//--- `GA̐ݒ (for Hor/Ver Mode)--------------
/*    p0: y[WJnʒuA  p1: y[WIʒu(-7) [oCgP]
 *    x0: iX)JnʒuA  x1: iX)Iʒu(-127)  */
void i2cOLED_RangePX(uint8_t p0,uint8_t p1, uint8_t x0, uint8_t x1);

//--- `Jn(J[\jʒu (for Page Mode)---------
/*    pg: y[Wʒu[oCgP]A  cX: (x)ʒu  */
void i2cOLED_posPX(uint8_t pg, uint8_t cX);

//--- y[WiJ[\͍s擪Ɉړj ---------
/*    pg: y[W[oCgP]A  dt: f[^ */
void i2cOLED_LnClr(uint8_t pg, uint8_t dt);

//--- OLEDʏ is͈͎wtj-----------------
/*    P0: Jny[WA@p1: Iy[W[oCgP]
 *    dt: f[^         */ 
void i2cOLED_Clr(uint8_t p0, uint8_t p1, uint8_t dt);

//--- OLED5x71\ --------------------
/*      iOi2cOLED_posPXňʒuw肵ĂƁj
 *      ch: \(ASCII)  */
void i2cOLED_chr (char ch);

//--- OLED5x7(v|[Vij\ ----
/*      iOi2cOLED_posPXňʒuw肵ĂƁj
 *      *str: \(ASCII)  */
void i2cOLED_str(char *str);

//--- OLED̏ 
/*      (ftHĝ܂܂ōŒ̐ݒj-----*/
void i2cOLED_init(void);

//--- OLEDɃp^[\ -----------
/*      pg: \Jny[Wʒu(0-7)AcxF\Jnʒui0|127j
 *      pn: y[W(1-8)A  xnF񐔁i1-64)@pn*xn64ȓ
 *      *ptn: \p^[f[^̃|C^
 *@ rtn: (uint8_t)\f[^̕\(x)ʒu       */
uint8_t i2cOLED_Ptn(uint8_t pg,uint8_t cx,uint8_t pn, uint8_t xn, char *ptn);

//--- test SSD1306 ------------------
/*      (foCX̏eXgpłBCu[͍폜邱Ɓj */
void ssd1306_test(void);
